#ifndef __OOL_XFILEINFO_H__
#define __OOL_XFILEINFO_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------------- OS/2 Beta 1 */
/*===========================================================================*/
/*                              class: XFileInfo                             */
/*                       derived from: XObject                               */
/*                        last update: 12/96                                 */
/*                      programmed by: Stefan von Brauk (sbrauk@gwdg.de)     */
/*===========================================================================*/

#include "xstring.h"
#include "xobject.h"

class XDate;
class XTime;

class _export_ XFileInfo: public XObject
{
      friend class XFile;
   private:
      FILESTATUS3 buffer;
   public:
      XFileInfo( ) { ;}
      ~XFileInfo() { ;}
      void GetCreationDate( XDate *);
      void GetCreationTime( XTime * time);
      ULONG GetFileSize(void) const ;
      LONG GetFileAttributes(void) const ;
      void GetLastWriteDate( XDate * date);
      void GetLastWriteTime( XTime * time);
};

#endif
